Get dataset info
Retrieves the dataset metadata details
GEThttps://api.devalgoseek.com/api/v1/meta/datasets/:dataset_id/info#
Retrieves the dataset metadata details
Request#
Path Parameters#
A short internal dataset identifier (unique).
US1032Responses#
- 200
- 403
- 404
- 422
Successful Response
- application/json
- Schema
- Example (auto)
Schema
- Example 1
- Example 2
A short internal dataset identifier (unique).
US1032A unique text identifier of the dataset.
eq_taqA human-readable display name of the dataset.
US Equities Trade and QuoteThe Data group to which the dataset belongs.
US EquityThe name of the data vendor.
algoseekA detailed description of the dataset.
The dataset provides a deep dive into the US Equities market through detailed trade and quote data. It leverages the full SIP feed from Tape A, Tape B, and Tape C, incorporating trades and bid/ask quotes from all listed exchanges.The name of dataset's asset class.
FuturesThe format of the dataset.
Market DataThe format of the time interval between data points in the dataset.
TickA URL to the dataset documentation.
Possible values: non-empty and <= 2083 characters
https://www.algoseek.com/datasets/doc/eq_taqThe earliest available date of data in the dataset.
2007-08-01The latest available date of data in the dataset, or null if ongoing.
null2024-12-31A flag indicating whether the dataset contains time-series data.
trueThe name of the identifier used for the universe of instruments.
TickerThe date when the dataset was created.
2024-03-26{
"dataset_id": "US1032",
"dataset_text_id": "eq_taq",
"dataset_name": "US Equities Trade and Quote",
"data_group": "US Equity",
"vendor": "algoseek",
"description": "The dataset provides a deep dive into the US Equities market through detailed trade and quote data. It leverages the full SIP feed from Tape A, Tape B, and Tape C, incorporating trades and bid/ask quotes from all listed exchanges.",
"dataset_class": "Futures",
"dataset_format": "Market Data",
"time_granularity": "Tick",
"documentation_link": "https://www.algoseek.com/datasets/doc/eq_taq",
"start_date": "2007-08-01",
"end_date": null,
"is_time_series": true,
"universe_identifier": "Ticker",
"creation_date": "2024-03-26"
}
Forbidden
- application/json
Not Found
- application/json
Validation Error
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [anyOf
- string
- integer
- ]
- ]
detail object[]
loc object[]required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"ctx": {}
}
]
}
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- postman-cli
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/meta/datasets/:dataset_id/info");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Click the Send API Request button above and see the response here!